<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'luzuk_about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'luzuk_about_area_disable',
            array(
                'settings'      => 'luzuk_about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'about', 'about_area', $color='#f9f9f9', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);


lzCustomLable($wp_customize, 'aboutarea_rhssec', 'about_area', 'Left Box ');

    $wp_customize->add_setting(
        'about_title_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_title_heading',
            array(
                'settings'      => 'about_title_heading',
                'section'       => 'about_area',
                'label'         => __( 'Section Heading', 'luzuk-premium' ),
            )
        )
    );    

    $wp_customize->add_setting(
        'about_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'About Us', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_title',
        array(
            'settings'      => 'about_title',
            'section'       => 'about_area',
            'type'          => 'text',
            'label'         => __( 'Section Heading', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'about_area_sectitle_color', 'about_area', 'Heading Color ', '#000');

addColorPalatOption($wp_customize, 'about_area_sectitlebrd_color', 'about_area', 'Heading Border Color ', '#01b9fd');

    $wp_customize->add_setting(
        'about_text',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters.', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_text',
        array(
            'settings'      => 'about_text',
            'section'       => 'about_area',
            'type'          => 'textarea',
            'label'         => __( 'Section Heading Text', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Heading Text color', '#7a7878');


$wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'aboutus_npp_heading',
        array(
            'settings'      => 'aboutus_npp_heading',
            'section'       => 'about_area',
            'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number of About plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 4; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'About Page ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-user-o',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );
    

lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='PROFESSIONAL TEAM WORK');  

 
lzAddElement($wp_customize, 'aboutus_11text'.$i, 'about_area', $type = 'textarea', $label="Tetx", $callback ='luzuk_sanitize_text', $default='Item de contrariis, a quibus ad genera formasque generum venerunt idemne potest esse dies.'); 



}


lzCustomLable($wp_customize, 'about_colors', 'about_area', 'Section Color Setting');

addColorPalatOption($wp_customize, 'about_area_pageiconbrd', 'about_area', 'About Page Icon Border Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_pageicon', 'about_area', 'About Page Icon Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_pageiconhv', 'about_area', 'About Page Icon Hover Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_pageiconbg', 'about_area', 'About Page Icon Background Color One', '#01b9fd');

addColorPalatOption($wp_customize, 'about_area_pageiconbg2', 'about_area', 'About Page Icon Background Color Two', '#55e3ca');

addColorPalatOption($wp_customize, 'about_area_pagetitle', 'about_area', 'About Page Icon Title Color', '#000');

addColorPalatOption($wp_customize, 'about_area_pagetitlehv', 'about_area', 'About Page Icon Title Hover Color', '#55e3ca');

addColorPalatOption($wp_customize, 'about_area_pagetext', 'about_area', 'About Page Icon Text Color', '#7a7878');


  $wp_customize->add_setting(
        'about_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_image_heading',
            array(
                'settings'      => 'about_image_heading',
                'section'       => 'about_area',
                'label'         => __( 'Right Box', 'luzuk-premium' ),
            )
        )
    );



      $wp_customize->add_setting(
        'about_image3',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'about_image3',
            array(
                'section' => 'about_area',
                'settings' => 'about_image3',
                'description' => __('Recommended Image Size: 640X615px', 'luzuk-premium')
            )
        )
    );

addColorPalatOption($wp_customize, 'about_area_simgbrd_color', 'about_area', 'Section Image Border Color ', '#fff');

lzCustomLable($wp_customize, 'aboutarea_imgbx1', 'about_area', 'image Box 1');

$wp_customize->add_setting(
    'villanum1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '[500] ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'villanum1',
    array(
        'settings'      => 'villanum1',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Image Box Number  ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'villatitle1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Square Feet ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'villatitle1',
    array(
        'settings'      => 'villatitle1',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Image Box Title  ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'aboutarea_imgbx2', 'about_area', 'image Box 2');

$wp_customize->add_setting(
    'villanum2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '[08] ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'villanum2',
    array(
        'settings'      => 'villanum2',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Image Box Number  ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'villatitle2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Square Feet ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'villatitle2',
    array(
        'settings'      => 'villatitle2',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Image Box Title  ', 'luzuk-premium' )
    )
);


lzCustomLable($wp_customize, 'aboutarea_imgbx3', 'about_area', 'image Box 3');

$wp_customize->add_setting(
    'villanum3',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '[03] ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'villanum3',
    array(
        'settings'      => 'villanum3',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Image Box Number  ', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'villatitle3',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Car Parking ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'villatitle3',
    array(
        'settings'      => 'villatitle3',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Image Box Title  ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'aboutarea_imgclr', 'about_area', 'About Section Image Box Color');

addColorPalatOption($wp_customize, 'about_areaimgbg', 'about_area', 'About Section Image Box Text Background Color', '#01b9fd');

addColorPalatOption($wp_customize, 'about_areaimgbrd', 'about_area', 'About Section Image Text Box Border Color', '#fff');

addColorPalatOption($wp_customize, 'about_areaimgtitle', 'about_area', 'About Section Image Box Title Color', '#fff');

addColorPalatOption($wp_customize, 'about_areaimgtext', 'about_area', 'About Section Image Box Text Color', '#fff');